io.vertx.groovy.circuitbreaker

## Class CircuitBreaker_GroovyExtension

- java.lang.Object
- - io.vertx.groovy.circuitbreaker.CircuitBreaker_GroovyExtension

-     public class CircuitBreaker_GroovyExtension
      extends Object

- - ### Constructor Summary

    Constructors
    Constructor and Description
    `CircuitBreaker_GroovyExtension()`

  - ### Method Summary

    All Methods Static Methods Concrete Methods
    Modifier and Type | Method and Description
    --- | ---
    `static <T> CircuitBreaker` | `executeAndReportWithFallback(CircuitBreaker j_receiver, Future<Object> resultFuture, Handler<Future<Object>> command, java.util.function.Function<Throwable,Object> fallback)`
    `static <T> Future<Object>` | `executeWithFallback(CircuitBreaker j_receiver, Handler<Future<Object>> command, java.util.function.Function<Throwable,Object> fallback)`
    `static <T> CircuitBreaker` | `fallback(CircuitBreaker j_receiver, java.util.function.Function<Throwable,Object> handler)`

    - ### Methods inherited from class java.lang.Object

      `clone, equals, finalize, getClass, hashCode, notify, notifyAll, toString, wait, wait, wait`

- - ### Constructor Detail

    - #### CircuitBreaker_GroovyExtension

          public CircuitBreaker_GroovyExtension()

  - ### Method Detail

    - #### executeWithFallback

          public static <T> Future<Object> executeWithFallback(CircuitBreaker j_receiver,
                                                               Handler<Future<Object>> command,
                                                               java.util.function.Function<Throwable,Object> fallback)

    - #### executeAndReportWithFallback

          public static <T> CircuitBreaker executeAndReportWithFallback(CircuitBreaker j_receiver,
                                                                        Future<Object> resultFuture,
                                                                        Handler<Future<Object>> command,
                                                                        java.util.function.Function<Throwable,Object> fallback)

    - #### fallback

          public static <T> CircuitBreaker fallback(CircuitBreaker j_receiver,
                                                    java.util.function.Function<Throwable,Object> handler)

Copyright © 2017. All rights reserved.